コンテンツへスキップ

FLUX 2 [klein] 9b Base Trainer

統合

モデルID flux-2-klein-9b-base-trainer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $4.30 4,300 APIクレジット このページで実行

APIキーを取得
Black Forest Labs トレーニング

画像のzipと任意のキャプションテキストファイルからFLUX.2 klein 9B用のスタイルLoRAを学習

Black Forest Labs · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

スタイルが統一された画像の zip アーカイブURL。少なくとも10枚を推奨し、枚数が多いほど適しています。各画像ペアには、photo.txt のような ROOT.txt という名前の対応するテキストファイルで編集指示を指定できます。テキストファイルがない場合は default_caption にフォールバックし、それもないとトレーニングに失敗します。

デフォルト 1000

トレーニングの合計ステップ数。

詳細設定 default_caption · learning_rate

欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。

デフォルト 5.0e-05

トレーニング可能なパラメータに使用する学習率。

POST /run/flux-2-klein-9b-base-trainer?wait=20 見積もり → $4.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/flux-2-klein-9b-base-trainer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

FLUX 2 [klein] 9b Base Trainerについて

`image_data_url`で指定した画像のzipアーカイブからLoRAをファインチューニングします。画像は少なくとも10枚が推奨され、対応するテキストキャプションファイルも任意で指定できます。`steps`は100~20000(デフォルトは1000)で、`learning_rate`とキャプションのない画像用の`default_caption`を調整できます。設定ファイルとdiffusers LoRAウェイトを返します。

パラメータ

名前型 デフォルト許可される値 説明
image_data_url必須
型string
スタイルが統一された画像の zip アーカイブURL。少なくとも10枚を推奨し、枚数が多いほど適しています。各画像ペアには、photo.txt のような ROOT.txt という名前の対応するテキストファイルで編集指示を指定できます。テキストファイルがない場合は default_caption にフォールバックし、それもないとトレーニングに失敗します。
steps任意
型integer
デフォルト1000
100 – 20,000
トレーニングの合計ステップ数。
learning_rate任意
型number
デフォルト5.0e-05
トレーニング可能なパラメータに使用する学習率。
default_caption任意
型string | null
欠落したキャプションファイルの代わりに使用するキャプション。Noneを指定すると、欠落をエラーとして扱います。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flux-2-klein-9b-base-trainer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 4300,
    "usd": "4.30",
    "charged": 4300,
    "refunded": 0
  },
  "input": {
    "image_data_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "diffusers_lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
diffusers_lora_file
object {url, content_type, file_name, file_size}diffusers形式のトレーニング済みLoRA重みを指すURL。
config_file
object {url, content_type, file_name, file_size}トレーニング済みモデルの設定ファイルを指すURL。

その他のモデル: トレーニング

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/flux-2-klein-9b-base-trainer.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt